/***************************************************************************
 *   Copyright (C) 2007 by Andreas Theofilu                             *
 *   andreas@theosys.at                                               *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation version 3 of the License.                *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#ifndef SETTINGSWIDGET_H
#define SETTINGSWIDGET_H

#include <QDialog>
#include "ui_settingswidgetbase.h"

class settingsWidget : public QDialog, private Ui::settingsWidgetBase
{
		Q_OBJECT

	public:
		settingsWidget ( QWidget* parent = 0, Qt::WFlags fl = 0 );
		~settingsWidget();
		/*$PUBLIC_FUNCTIONS$*/

	public slots:
		/*$PUBLIC_SLOTS$*/
		virtual void          btCancelSlot();
		virtual void          btSaveSlot();
		virtual void	      cbSerialSlot(bool state);
		virtual void	      rbFr50Slot(bool state);
		virtual void	      rbFr405Slot(bool state);

	protected:
		/*$PROTECTED_FUNCTIONS$*/

	protected slots:
		/*$PROTECTED_SLOTS$*/
};

#endif

